Bio::Ontology::TermFactory(3)

NAME
Bio::Ontology::TermFactory - Instantiates a new Bio::Ontology::TermI (or derived class) through a factory

SYNOPSIS
    use Bio::Ontology::TermFactory;

    # the default type is Bio::Ontology::Term
    my $factory = Bio::Ontology::TermFactory->new(
                        -type => 'Bio::Ontology::GOterm');
    my $term = $factory->create_object(-name => 'peroxisome',
                                       -ontology => 'Gene Ontology',
                                       -identifier => 'GO:0005777');

DESCRIPTION
This object will build Bio::Ontology::TermI objects generically.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Hilmar Lapp
Email hlapp at gmx.net

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Ontology::TermFactory->new();
 Function: Builds a new Bio::Ontology::TermFactory object
 Returns : Bio::Ontology::TermFactory
 Args    : -type => string, name of a Bio::Ontology::TermI derived class.
                    The default is Bio::Ontology::Term.

See Bio::Ontology::TermI, Bio::Ontology::Term.

  create_object
 Title   : create_object
 Usage   : my $term = $factory->create_object(<named parameters>);
 Function: Instantiates new Bio::Ontology::TermI (or one of its child classes)

           This object allows us to genericize the instantiation of
           Term objects.

 Returns : Bio::Ontology::TermI compliant object
           The return type is configurable using new(-type =>"...").
 Args    : initialization parameters specific to the type of term
           object we want.  Typically
           -name        => $name
           -identifier  => identifier for the term
           -ontology    => ontology for the term

See Bio::Ontology::TermI.